<?php

/**
 * @file
 * Contains SendEmailDigest.
 */

namespace Drupal\rules_repeated_events_test\Plugin\Rules\Action;

use Drupal\rules_repeated_events_test\Rules\RulesPluginHandlerBase;

/**
 * "Add a user to list" action.
 */
class RepeatedEventsSimpleAction extends RulesPluginHandlerBase implements \RulesActionHandlerInterface {

  /**
   * Defines the action.
   */
  public static function getInfo() {
    return static::getInfoDefaults() + array(
      'name' => 'repeated_events_simple_action',
      'label' => t('Simple Action'),
      'parameter' => array(),
      'group' => t('Rules'),
    );
  }

  public function dependencies() {
    return array(
      'rules_repeated_events_test'
    );
  }

  /**
   * Executes the action.
   */
  public function execute() {
    variable_set(\SimpleVariable::VARIABLE_NAME, TRUE);
  }

  /**
   * {@inheritdoc}
   */
  public function form_alter(&$form, $form_state, $options) {
    // Use ajax and trigger as the reload button.
    $form['help'] = array(
      '#type' => 'item',
      '#markup' => t('This action will do nothing than turn on variable.'),
    );
  }


}
